%define major_gir		1.0

%define major_nma		0
%define libnma			%mklibname nma %{major_nma}
%define libnma_gir		%mklibname nma-gir %{major_gir}
%define libnma_devel		%mklibname nma -d
%define libnmagtk4		%mklibname nma-gtk4_ %{major_nma}
%define libnmagtk4_gir		%mklibname nma4-gir %{major_gir}
%define libnmagtk4_devel	%mklibname nma-gtk4 -d

%define url_ver		%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_without libnma_gtk4

Name:		libnma
Version:	1.10.6
Release:	%mkrel 1
Summary:	Shared library for NetworkManager-applet
License:	GPLv2+
Group:		System/Libraries
URL:		https://gitlab.gnome.org/GNOME/libnma
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gck-1) >= 3.14
BuildRequires:	pkgconfig(gcr-3) >= 3.14
BuildRequires:	pkgconfig(gio-2.0) >= 2.38
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.10
%if %{with libnma_gtk4}
BuildRequires:	pkgconfig(gtk4) >= 4.0
%endif
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libnm) >= 1.7
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(vapigen)

%description
Shared library for NetworkManager-applet.

#------------------------------------------------

%package -n	%{libnma}
Summary:	Shared library for NetworkManager-applet
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	mobile-broadband-provider-info

%description -n	%{libnma}
This private package contains the libnma libraries.

#------------------------------------------------

%package -n	%{libnma_gir}
Summary:	GObject Introspection interface description for NMA
Group:		System/Libraries
Requires:	%{libnma} = %{version}-%{release}

%description -n %{libnma_gir}
GObject Introspection interface description for NMA.

#------------------------------------------------

%package -n	%{libnma_devel}
Summary:	Development files for nma
Group:		Development/C++
Requires:	%{libnma} = %{version}-%{release}
Requires:	%{libnma_gir} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	nma-devel = %{version}-%{release}

%description -n	%{libnma_devel}
Header files for development with nma.

#------------------------------------------------

%package -n	%{libnmagtk4}
Summary:	Shared library for NetworkManager-applet (gtk4)
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	mobile-broadband-provider-info
Obsoletes:	%{_lib}nma-gtk40 < 1.10.4-4

%description -n	%{libnmagtk4}
This private package contains the libnma libraries.

#------------------------------------------------

%package -n	%{libnmagtk4_gir}
Summary:	GObject Introspection interface description for NMA (gtk4)
Group:		System/Libraries
Requires:	%{libnmagtk4} = %{version}-%{release}
Obsoletes:	%{_lib}nma-gtk-gir1.0 < 1.10.4-4

%description -n %{libnmagtk4_gir}
GObject Introspection interface description for NMA.

#------------------------------------------------

%package -n	%{libnmagtk4_devel}
Summary:	Development files for nma (gtk4)
Group:		Development/C++
Requires:	%{libnmagtk4} = %{version}-%{release}
Requires:	%{libnmagtk4_gir} = %{version}-%{release}
Provides:	%{name}-gtk4-devel = %{version}-%{release}
Provides:	nma-gtk4-devel = %{version}-%{release}
Obsoletes:	%{_lib}nma-gtk-devel < 1.10.4-4

%description -n	%{libnmagtk4_devel}
Header files for development with nma.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson \
%if %{with libnma_gtk4}
        -Dlibnma_gtk4=true
%else
        -Dlibnma_gtk4=false
%endif
%meson_build

%install
%meson_install
%find_lang %{name}

# belongs to nm-applet
rm -rf %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml

%files -f %{name}.lang
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.eap.gschema.xml

%files -n %{libnma}
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/libnma.so.%{major_nma}{,.*}

%files -n %{libnma_gir}
%{_libdir}/girepository-1.0/NMA-%{major_gir}.typelib

%files -n %{libnma_devel}
%doc %{_datadir}/gtk-doc/html/%{name}/
%dir %{_includedir}/libnma
%{_includedir}/libnma/nma-*.h
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/libnma.so
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_datadir}/vala/vapi/libnma.deps
%{_datadir}/vala/vapi/libnma.vapi

%if %{with libnma_gtk4}
%files -n %{libnmagtk4}
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/libnma-gtk4.so.%{major_nma}{,.*}

%files -n %{libnmagtk4_gir}
%{_libdir}/girepository-1.0/NMA4-%{major_gir}.typelib

%files -n %{libnmagtk4_devel}
%dir %{_includedir}/libnma
%{_includedir}/libnma/nma-*.h
%{_libdir}/pkgconfig/libnma-gtk4.pc
%{_libdir}/libnma-gtk4.so
%{_datadir}/gir-1.0/NMA4-1.0.gir
%{_datadir}/vala/vapi/libnma-gtk4.deps
%{_datadir}/vala/vapi/libnma-gtk4.vapi
%endif


%changelog
* Mon Jan 09 2023 daviddavid <daviddavid> 1.10.6-1.mga9
+ Revision: 1931743
- new version 1.10.6
- remove merged upstream patch

* Fri Jan 06 2023 wally <wally> 1.10.4-4.mga9
+ Revision: 1930838
- fix gtk4 pkg names

* Fri Jan 06 2023 wally <wally> 1.10.4-3.mga9
+ Revision: 1930829
- drop org.gnome.nm-applet.gschema.xml belonging to nm-applet

* Sun Jan 01 2023 daviddavid <daviddavid> 1.10.4-2.mga9
+ Revision: 1928608
- add patch to fix crash when trying to configure EAP using profiles (mga#31344)

* Tue Nov 15 2022 daviddavid <daviddavid> 1.10.4-1.mga9
+ Revision: 1907688
- new version: 1.10.4

* Sun Sep 11 2022 neoclust <neoclust> 1.10.2-1.mga9
+ Revision: 1886905
- New version 	1.10.2

* Wed Jun 15 2022 ovitters <ovitters> 1.8.40-1.mga9
+ Revision: 1864502
- new version 1.8.40

* Thu Apr 07 2022 ovitters <ovitters> 1.8.38-1.mga9
+ Revision: 1847053
- new version 1.8.38

* Fri Mar 25 2022 ovitters <ovitters> 1.8.36-1.mga9
+ Revision: 1825784
- new version 1.8.36

* Tue Mar 15 2022 tv <tv> 1.8.34-2.mga9
+ Revision: 1793996
- Add gtk4 subpkg

* Wed Jan 19 2022 ovitters <ovitters> 1.8.34-1.mga9
+ Revision: 1769139
- new version 1.8.34

* Fri Aug 20 2021 ovitters <ovitters> 1.8.32-1.mga9
+ Revision: 1742002
- new version 1.8.32

* Tue Jun 23 2020 ovitters <ovitters> 1.8.30-1.mga8
+ Revision: 1598614
- new version 1.8.30

* Tue Mar 24 2020 wally <wally> 1.8.28-2.mga8
+ Revision: 1559476
- add conflicts for older networkmanager-applet shipping org.gnome.nm-applet.gschema.xml

* Tue Mar 10 2020 daviddavid <daviddavid> 1.8.28-1.mga8
+ Revision: 1555177
- initial package libnma (now in a separate package)

